package com.bonus.canteen.core.order.deprecated.dto;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("超市设备下单详情DTO")
public class GoodsDetailDTO {
   @ApiModelProperty("超市商品明细id")
   private Long goodsDetailId;
   @ApiModelProperty("商品id")
   private Long goodsId;
   @ApiModelProperty("商品名称")
   private String goodsName;
   @ApiModelProperty("库存id")
   private Long inventoryId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("商品图片url")
   private String imageUrl;
   @ApiModelProperty("商品单价 单位为分")
   private Integer price;
   @ApiModelProperty("会员价格 单位分")
   private Integer prefPrice;
   @ApiModelProperty("称重单位 单位为分")
   private Integer unitPrice;
   @ApiModelProperty("数量/重量")
   private Integer quantity;
   @ApiModelProperty("明细类别 1-菜品 2-套餐 3-商品 4-按键金额")
   private Integer detailType = 3;
   @ApiModelProperty("销售方式 1按份,2称重 默认按份")
   private Integer salesMode;

   public void setImageUrl(String imageUrl) {
      this.imageUrl = SysUtil.getCutPath(imageUrl);
   }

   public Long getGoodsDetailId() {
      return this.goodsDetailId;
   }

   public Long getGoodsId() {
      return this.goodsId;
   }

   public String getGoodsName() {
      return this.goodsName;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public String getImageUrl() {
      return this.imageUrl;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getPrefPrice() {
      return this.prefPrice;
   }

   public Integer getUnitPrice() {
      return this.unitPrice;
   }

   public Integer getQuantity() {
      return this.quantity;
   }

   public Integer getDetailType() {
      return this.detailType;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public void setGoodsDetailId(final Long goodsDetailId) {
      this.goodsDetailId = goodsDetailId;
   }

   public void setGoodsId(final Long goodsId) {
      this.goodsId = goodsId;
   }

   public void setGoodsName(final String goodsName) {
      this.goodsName = goodsName;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setPrefPrice(final Integer prefPrice) {
      this.prefPrice = prefPrice;
   }

   public void setUnitPrice(final Integer unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setQuantity(final Integer quantity) {
      this.quantity = quantity;
   }

   public void setDetailType(final Integer detailType) {
      this.detailType = detailType;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

}
